Bug 11383 - /bin/sort does not sort properly if -n switch is used
Summary: /bin/sort does not sort properly if -n switch is used
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: textutils   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-12 09:54 UTC by Marko Hrastovec
Modified: 2008-05-01 15:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-28 10:17:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marko Hrastovec 2000-05-12 09:54:09 UTC
/bin/sort program does not sort properly if -n switch is used.
If used without switches it seems to work fine. I haven't tried
other switches.

Regards
Marko

PS.
I hope you will fix the bug soon. I have copied some older sort
which works OK.

Comment 1 Preston Brown 2000-05-24 19:23:59 UTC
Bero, I can duplicate this problem.  Do we have a fix available yet?

Comment 2 Göran Uddeborg 2000-06-01 19:14:54 UTC
This is the same as 10570 and 11104 I assume.  (Marked resolved.)


Comment 3 Craig Martin 2000-06-08 04:02:07 UTC
Futher information on this problem - We have found that there is a patch in Red
Hat 6.2 that provides the '-l' flag.  This seems to cause 'sort -n' to skip
sections of code and produce a bad sort if the '-l' flag is not actually used. 
If it is used the program works OK.  - Craig Martin

Comment 4 peter.benie 2000-06-28 10:17:41 UTC
For me, adding -l to the arguments does not solve the problem.
(textutils-2.0a-2)


Comment 5 Bernhard Rosenkraenzer 2000-08-08 16:59:07 UTC
Use LANG="C" sort if you don't like the POSIX sorting "feature".



Note You need to log in before you can comment on or make changes to this bug.